#### 7.10.2.9 crystallographicGroupPG

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupPG(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - pg group with the following presentation
  < x, y, t | [x, y] = 1, t^2 = x, t^(-1)*y*t = y^(-1) >
  - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupPG(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=t*t+x
    ==> I[3]=T*y*t+Y
    ==> I[4]=X*x+1
    ==> I[5]=x*X+1
    ==> I[6]=Y*y+1
    ==> I[7]=y*Y+1
    ==> I[8]=t*T+1
    ==> I[9]=T*t+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.